## org.apache.batik.dom
Class AbstractCharacterData

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractCharacterData

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  AbstractComment, AbstractText

public abstract class AbstractCharacterData
extends AbstractChildNode
implements org.w3c.dom.CharacterData

This class implements the `CharacterData` interface.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `nodeValue` The value of this node.

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractCharacterData()`

Method Summary
`void` `appendData(java.lang.String arg)` DOM: Implements `CharacterData.appendData(String)`.
`protected void` `checkOffsetCount(int offset, int count)` Checks the given offset and count validity.
`protected org.w3c.dom.Node` `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`void` `deleteData(int offset, int count)` DOM: Implements `CharacterData.deleteData(int,int)`.
`protected org.w3c.dom.Node` `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` `getData()` DOM: Implements `CharacterData.getData()`.
`int` `getLength()` DOM: Implements `CharacterData.getLength()`.
`java.lang.String` `getNodeValue()` DOM: Implements `Node.getNodeValue()`.
`void` `insertData(int offset, java.lang.String arg)` DOM: Implements `CharacterData.insertData(int,String)`.
`void` `replaceData(int offset, int count, java.lang.String arg)` DOM: Implements `CharacterData.replaceData(int,int,String)`.
`void` `setData(java.lang.String data)` DOM: Implements `CharacterData.setData(String)`.
`void` `setNodeValue(java.lang.String nodeValue)` DOM: Implements `Node.setNodeValue(String)`.
`java.lang.String` `substringData(int offset, int count)` DOM: Implements `CharacterData.substringData(int,int)`.

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, appendChild, checkChildType, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, newNode, normalize, removeChild, removeEventListener, replaceChild, setNodeName, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeValue

    protected java.lang.String nodeValue

  The value of this node.

Constructor Detail

### AbstractCharacterData

    public AbstractCharacterData()

Method Detail

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.getNodeValue()`.

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `AbstractNode`
  Returns:
    `nodeValue`.
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  DOM: Implements `Node.setNodeValue(String)`.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### getData

    public java.lang.String getData()
                             throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.getData()`.

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Returns:
    `getNodeValue()`.
  Throws:
    `org.w3c.dom.DOMException`

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.setData(String)`.

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  DOM: Implements `CharacterData.getLength()`.

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`
  Returns:
    `nodeValue`.length().

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.substringData(int,int)`.

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.appendData(String)`.

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.insertData(int,String)`.

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.deleteData(int,int)`.

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  DOM: Implements `CharacterData.replaceData(int,int,String)`.

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### checkOffsetCount

    protected void checkOffsetCount(int offset,
                                    int count)
                             throws org.w3c.dom.DOMException

  Checks the given offset and count validity.

  Throws:
    `org.w3c.dom.DOMException`

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractNode`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.